Subject: Re: Unclear what target the output relates to

From: goredo <[email-masked]>
Date: Sun, 24 Sep 2023 13:10:01 +0200 (GMT+02:00)

Hi,

first, thank you for your comprehensive responses!

You are correct. I was referring to said log linearization. And I understand now, how stderr output happens in goredo. I was under the impression that goredo was also applying log linearization on stderr and not only in redo-log. I still think it has strong practical implications that goredo does not do log linearization while running. It is just so convenient to use the terminals scrollback buffer than to run redo-log for the same effect for 99% of the cases.

Apart from log linearization, what is important to me, is that goredo's status lines and target's stderr output is coherent. After a target finished, the status lines should follow before any other target stderr output. In 1.30, I did not see that happen, which was confusing. Several targets' output was printed one after another without separation, even when running a single job at a time. I realize that as soon as I run multiple jobs in parallel, stderr output gets mixed up.

The problem is, as it is now, the noise of not being able to instantly identify the target of some stderr output becomes frustrating quickly. And the reason is missing coherence with status lines and missing log linearization on the terminal. I try to work more with redo-log and see if that solves my issues.

–Michael